package com.steering.mes.SendRecive;

/**
 * 数据库表TMS_COM_LINE_M所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-03-26
 */
public class TmsComLineMEntity {
    public String getSegmentCode() {
        return segmentCode;
    }

    public void setSegmentCode(String segmentCode) {
        this.segmentCode = segmentCode;
    }

    public String getSegmentDesc() {
        return segmentDesc;
    }

    public void setSegmentDesc(String segmentDesc) {
        this.segmentDesc = segmentDesc;
    }

    private  String segmentDesc;
    private  String segmentCode;
    /**
     * 创建人ID
     */
    private String createUserid;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人ID
     */
    private String updateUserid;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 废除人ID
     */
    private String deleteUserid;
    /**
     * 废除人
     */
    private String deleteName;
    /**
     * 废除时间
     */
    private String deleteTime;
    /**
     * 线路编号
     */
    private String lineCode;
    /**
     * 线路描述
     */
    private String lineDesc;
    /**
     * 起点代码(装卸点代码)
     */
    private String startNodeCode;
    /**
     * 起点描述
     */
    private String startNodeDesc;
    /**
     * 经度
     */
    private String startLongitudeVal;
    /**
     * 纬度
     */
    private String startLatitudeVal;
    /**
     * 终点代码(装卸点代码)
     */
    private String endNodeCode;
    /**
     * 终点描述
     */
    private String endNodeDesc;
    /**
     * 经度
     */
    private String endLongitudeVal;
    /**
     * 纬度
     */
    private String endLatitudeVal;
    /**
     * 有效标志(1:有效0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;

    public TmsComLineMEntity(){
        createUserid = "";
        createName = "";
        createTime = "";
        updateUserid = "";
        updateName = "";
        updateTime = "";
        deleteUserid = "";
        deleteName = "";
        deleteTime = "";
        lineCode = "";
        lineDesc = "";
        startNodeCode = "";
        startNodeDesc = "";
        startLongitudeVal = "";
        startLatitudeVal = "";
        endNodeCode = "";
        endNodeDesc = "";
        endLongitudeVal = "";
        endLatitudeVal = "";
        validflag = "";
        memo = "";
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 线路编号
     * @return value
     */
    public String getLineCode() {
        return lineCode;
    }

    /**
     * 线路编号
     * @param lineCode value
     */
    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    /**
     * 线路描述
     * @return value
     */
    public String getLineDesc() {
        return lineDesc;
    }

    /**
     * 线路描述
     * @param lineDesc value
     */
    public void setLineDesc(String lineDesc) {
        this.lineDesc = lineDesc;
    }

    /**
     * 起点代码(装卸点代码)
     * @return value
     */
    public String getStartNodeCode() {
        return startNodeCode;
    }

    /**
     * 起点代码(装卸点代码)
     * @param startNodeCode value
     */
    public void setStartNodeCode(String startNodeCode) {
        this.startNodeCode = startNodeCode;
    }

    /**
     * 起点描述
     * @return value
     */
    public String getStartNodeDesc() {
        return startNodeDesc;
    }

    /**
     * 起点描述
     * @param startNodeDesc value
     */
    public void setStartNodeDesc(String startNodeDesc) {
        this.startNodeDesc = startNodeDesc;
    }

    /**
     * 经度
     * @return value
     */
    public String getStartLongitudeVal() {
        return startLongitudeVal;
    }

    /**
     * 经度
     * @param startLongitudeVal value
     */
    public void setStartLongitudeVal(String startLongitudeVal) {
        this.startLongitudeVal = startLongitudeVal;
    }

    /**
     * 纬度
     * @return value
     */
    public String getStartLatitudeVal() {
        return startLatitudeVal;
    }

    /**
     * 纬度
     * @param startLatitudeVal value
     */
    public void setStartLatitudeVal(String startLatitudeVal) {
        this.startLatitudeVal = startLatitudeVal;
    }

    /**
     * 终点代码(装卸点代码)
     * @return value
     */
    public String getEndNodeCode() {
        return endNodeCode;
    }

    /**
     * 终点代码(装卸点代码)
     * @param endNodeCode value
     */
    public void setEndNodeCode(String endNodeCode) {
        this.endNodeCode = endNodeCode;
    }

    /**
     * 终点描述
     * @return value
     */
    public String getEndNodeDesc() {
        return endNodeDesc;
    }

    /**
     * 终点描述
     * @param endNodeDesc value
     */
    public void setEndNodeDesc(String endNodeDesc) {
        this.endNodeDesc = endNodeDesc;
    }

    /**
     * 经度
     * @return value
     */
    public String getEndLongitudeVal() {
        return endLongitudeVal;
    }

    /**
     * 经度
     * @param endLongitudeVal value
     */
    public void setEndLongitudeVal(String endLongitudeVal) {
        this.endLongitudeVal = endLongitudeVal;
    }

    /**
     * 纬度
     * @return value
     */
    public String getEndLatitudeVal() {
        return endLatitudeVal;
    }

    /**
     * 纬度
     * @param endLatitudeVal value
     */
    public void setEndLatitudeVal(String endLatitudeVal) {
        this.endLatitudeVal = endLatitudeVal;
    }

    /**
     * 有效标志(1:有效0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}